QtDataVisualization data proxies.">

- Qt 6.5
- Qt Data Visualization
- QML Types
- AbstractDataProxy
- Qt Data Visualization | Commercial or GPLv3

# AbstractDataProxy QML Type

Base type for all QtDataVisualization data proxies. More...

Import Statement: | import QtDataVisualization 1.5
Since: | QtDataVisualization 1.0
Instantiates: | QAbstractDataProxy
Inherited By: | BarDataProxy, ScatterDataProxy, and SurfaceDataProxy

- List of all members, including inherited members

## Properties

- type : AbstractDataProxy.DataType

## Detailed Description

This type is uncreatable, but contains properties that are exposed via the following subtypes: BarDataProxy, ScatterDataProxy, SurfaceDataProxy.

For more information, see Qt Data Visualization Data Handling.

## Property Documentation

[read-only] type : AbstractDataProxy.DataType

The type of the proxy. One of the QAbstractDataProxy::DataType values.